summaryrefslogtreecommitdiff
path: root/distro/ubuntu
diff options
context:
space:
mode:
Diffstat (limited to 'distro/ubuntu')
-rwxr-xr-xdistro/ubuntu/build35
-rwxr-xr-xdistro/ubuntu/postinst11
-rwxr-xr-xdistro/ubuntu/postrm8
-rwxr-xr-xdistro/ubuntu/preinst8
-rwxr-xr-xdistro/ubuntu/prerm11
5 files changed, 73 insertions, 0 deletions
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 0000000..d059d32
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# fill it
+pkgname=mate-notification-daemon
+pkgver=2011.10.29
+pkgrel=1
+pkgdesc="Notification daemon for MATE"
+#depends="libmatenotify"
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ automake
+ autoreconf -i --force
+ intltoolize --copy --force --automake --debug
+
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static \
+ --libexecdir=/usr/lib/mate-notification-daemon \
+ --disable-schemas-install || return 1
+
+ make || return 1
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+ install -m755 -d "${pkgdir}/usr/share/mateconf/schemas"
+ mateconf-merge-schema "${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas" --domain ${pkgname} ${pkgdir}/etc/mateconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh
diff --git a/distro/ubuntu/postinst b/distro/ubuntu/postinst
new file mode 100755
index 0000000..96a2df9
--- /dev/null
+++ b/distro/ubuntu/postinst
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+pkgname=mate-notification-daemon
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --install ${pkgname}
+fi
+
+gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+
+exit 0
diff --git a/distro/ubuntu/postrm b/distro/ubuntu/postrm
new file mode 100755
index 0000000..2b7bfec
--- /dev/null
+++ b/distro/ubuntu/postrm
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+pkgname=mate-notification-daemon
+
+gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+
+exit 0
diff --git a/distro/ubuntu/preinst b/distro/ubuntu/preinst
new file mode 100755
index 0000000..429b988
--- /dev/null
+++ b/distro/ubuntu/preinst
@@ -0,0 +1,8 @@
+#!/bin/sh -e
+
+pkgname=mate-notification-daemon
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --uninstall ${pkgname}
+fi
+
diff --git a/distro/ubuntu/prerm b/distro/ubuntu/prerm
new file mode 100755
index 0000000..6e4b0a5
--- /dev/null
+++ b/distro/ubuntu/prerm
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+pkgname=mate-notification-daemon
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --uninstall ${pkgname}
+fi
+
+exit 0